﻿using Infragistics.Documents.Excel;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace UltraSpreadsheetFormattingTest
{
    public partial class Form1 : Form
    {
        Random r = new Random();
        public Form1()
        {
            InitializeComponent();

            Workbook workbook = new Workbook();
            Worksheet sheet = workbook.Worksheets.Add("Sheet1");

            string colFormatString = "#,##0.00;[red](#,##0.00)";

            for (int i = 0; i < 10; i++)
            {
                sheet.Rows[i].Cells[0].CellFormat.FormatString = colFormatString;
                sheet.Rows[i].Cells[0].CellFormat.FormatOptions = WorksheetCellFormatOptions.ApplyNumberFormatting;
                sheet.Rows[i].Cells[0].Value = (float)r.Next(40, 50);
            }

            ultraSpreadsheet1.Workbook = workbook;
        }
    }
}
